<?php
$config['base'] = array
(
	'name' => 'sellsellking',
	'version' => '1.0.0 Beta',

    # 语言包
    //'lang_set' => array('zh-cn' => '简体中文', 'en' => '英文'),

    # 设置分类组件中的栏目下的分类为系统使用的主分类
    'category' => 1,

    # 后台头部菜单
    'top' => 'passport/system_id',

    # 小程序用的是啥 developer开发版 trial体验版 formal正式版
    'wechat_applet' => 'trial',

    'audit' => array
    (
        1 => '已审核',
        2 => '未审核',
        3 => '审核未通过',
    ),

    # 上线状态
    'status' => array
    (
        1 => '上线发布',
        2 => '下架',
    ),

    # 几个角色定义
    'source' => array
    (
        1 => '门店',
        2 => '仓库',
        3 => '工厂',
    ),

    # 小程序配置
    'applet' => array
    (
        'project' => 'passport/system',
        'url' => 'https://api.weixin.qq.com/sns/jscode2session',
        # 首页
        'index' => 'pages/index/index',
    ),

    # 加密key
    'encode_key' => 'dreamland1985',

    # 站点使用邮箱还是手机作为主账号
    'account' => 'mobile',//SMS_228142347

    # 发送邮件的配置
    'email' => array
    (
        'pop' => 'pop.qq.com',
        'smtp' => 'smtp.qiye.aliyun.com',
        'imap' => 'imap.qq.com',
        'username' => 'zsmazq@zsma.com.cn',
        'password' => 'Zsma123886',
        'from' => array('zsmazq@zsma.com.cn', '厨人易料'),
        'agent' => array
        (
            'title' => '厨人易料代理商邮箱认证',
            'link' => 'agent/lib/email.act',
            'content' => '尊敬的厨人易料用户：
<br /><br />
您好！
<br /><br />
请点击下方链接进行邮箱认证
<br /><br />
【{link}】
<br /><br />
如果上面的链接无法点击，您也可以复制链接到您的浏览器内打开，完成邮箱认证（链接有效期一天）。',
        ),

        'option' => array
        (
            'title' => '期权交付通知',
            'link' => 'option/lib/email.act',
            'content' => '
尊敬的{username}，您好：
<br /><br />
欢迎您使用期权管理系统，请点击以下链接，完成邮箱验证。
<br /><br />
验证链接：
【<a href="{link}" target="_blank">{link}</a>】
<br /><br />
验证通过后，请重新登录期权管理系统，完成期权确认。
<br /><br />
请于7日内点击确认按钮，超过时限未确认，将失去期权获取资格。
<br /><br />
本邮件为系统自动发放，请勿回复。如有疑问联系客服咨询。
<br /><br /><br /><br />

<img src="https://7n.churenyiliao.com/base/qiquan.png" width="150"/>
<br /><br />
手机扫码此二维码，打开期权管理系统。
<br /><br />
本系统由ESOP服务商提供技术支持，如有疑问，请及时联系客服。
<br /><br />

',
        ),
    ),

    # 直接使用sms组件，这部分配置废弃
    
    'mobileCode' => array
    (
        # debug模式
        'debug' => true,
        # 发送短信的接口
        'url' => 'https://feginesms.market.alicloudapi.com/codeNotice',
        'url' => 'https://dysmsapi.aliyuncs.com/?Action=SendSms',
        # 保存方式 cookie、session、db 三种可选 默认为session
        'save' => 'db',
        # 发送方法 get、post
        'method' => 'get',
        # 是否json编码
        'json' => false,
        # header信息
        'header' => 'Authorization:APPCODE ca584ae21ce54c999067e77b5995a27b',
        # body信息
        'body' => 'param={code}&phone={mobile}&sign={sign}&skin={skin}',
        # 短信模板 发送短信时，请加上参数skin=1
        'skin' => array
        (
            'reg' => 35247,
            'order' => 35246,
            'code' => 35245,
            # 需要增加一个notice
            'notice' => 38099,
            # order的反馈方案修改后
            'feedback' => 38747,
        ),
        # 短信签名
        'sign' => 47159,
        # 验证码有效期 默认10分钟
        'timeout' => 600,
        # 一天之内的最大发送次数，默认为10次
        'total' => 10,
        # 不允许多久之内重复发送，默认为60秒
        'time' => 60,
        # 验证码长度
        'length' => 6,
    ),
    
    # 注册成功后，调取的接口
    'regAction' => '',

    # 注册成功后，是否发送短信，直接使用skin的key即可
    //'regSendSms' => 'reg',

    # 用户中心的列表中显示的项目
    'passport_list_button' => array
    (
        /*
        'list1' => array('订单', '"order&project=act&search_option_uid={id}&oper_parent=user&oper_project=passport"'),
        'list2' => array('兑换码', '"info&project=code&search_option_create_uid={id}&oper_parent=user&oper_project=passport"'),
        'list3' => array('积分', '"user&project=score&search_option_uid={id}&oper_parent=user&oper_project=passport"'),
        */
    ),

    # 用户中心的用户下单量统计接口
    'passport_stat_order' => 'shop/lib/cron.order_user',

    # 日志系统
    'log' => array
    (
        'cron' => array
        (
            'ad/lib/cron.run'
        ),
    ),

    # 积分配置
    'score' => array
    (
        # 实时增加积分开启，关闭则需要把lib/core.cron放到计划任务中
        'sync' => true,
    ),

    # 启用全站图片压缩
    //'pic' => 'yun_t1',

    # 队列
    'queue' => array
    (
        'method' => 'redis',
        'host' => 'server-redis',
        'port' => '6379',
        'password' => 'dm_redis_123',
    ),
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    //'assets' => array('pc', 'mobile'),
    'assets' => 'pc',

    # 模板编译器目录
    'template' => 'pc',

    # 模板html文件的所在目录，默认为html
    'path' => 'html',

    'replace' => array
    (
        'css' => '../css/',
        'js' => '../js/',
        'images' => '../images/',
        'img' => '../img/',
        'script' => '../script/',
        'static' => '../static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'home',
    ),
    
);
return $config;